/*
 * correct usage: ./checker-k1 < their_output
 */

#include <bits/stdc++.h>
using namespace std;

const int MIN_CORRECT = 2500;

vector<int> DECODE(const string &SEQ) {
    vector<int> answer;
    for (char x : SEQ) {
        int y = x-33;
        int d = y%3; y /= 3;
        int c = y%3; y /= 3;
        int b = y%3; y /= 3;
        int a = y%3; y /= 3;
        answer.push_back(a);
        answer.push_back(b);
        answer.push_back(c);
        answer.push_back(d);
    }
    return answer;
}

void die(const string &msg) {
    cout << "Wrong answer: " << msg << endl;
    exit(1);
}

int same(const string &A, const string &B) {
    int answer = 0;
    for (unsigned i=0; i<A.size(); ++i) if (A[i] == B[i]) ++answer;
    return answer;
}

int main() {
    ifstream fout("k.out");
    assert(fout);

    string SEQ1, SEQ2;
    assert(fout >> SEQ1 >> SEQ2);

    string THEIR;
    if (!(cin >> THEIR)) die("No output found.");
    string garbage;
    if (cin >> garbage) die("Found more than one whitespace-separated string.");
    if (THEIR.size() != SEQ1.size()) die("Invalid number of characters.");
    for (char c : THEIR) if (c!='0' && c!='1') die("Invalid character (not 0/1).");

    int s1 = same(SEQ1,THEIR), s2 = same(SEQ2,THEIR);
    if (s1 < MIN_CORRECT && s2 < MIN_CORRECT) {
        //cerr << "K1 INTERNAL INFO: correct guesses only " << s1 << " and " << s2 << endl;
        die("Too few correct guesses.");
    }
    cout << "OK" << endl;
}
